Download it now!
Bug 84628 - gbuild: emit project configuration for Eclipse CDT
Summary: gbuild: emit project configuration for Eclipse CDT
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyBeginner, easyHack, skillPython
Depends on:
Blocks:
 
Reported: 2014-10-03 09:40 UTC by DavidO
Modified: 2017-02-14 08:57 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DavidO 2014-10-03 09:40:42 UTC
gbuild-to-ide can emit project configuration to number of IDEs. Add an generaor for Eclipse CDT. WAF meta build system does something similar. May be some parts can be reused from [1]

[1] https://code.google.com/p/waf/source/browse/waflib/extras/eclipse.py
Comment 1 DavidO 2014-10-07 13:32:51 UTC
It seems that Eclipse has restriction of having multiple projects in the same directory as Eclipse's project is represented by .project file and only one .project file can exists in one directory. Due to LibreOffice directory structure, there are multiple targets/projects in one directory, e. g.:

svx has number of libraries:

svx
svxcore
[...]

One approach to solve this would be to merge the multiple targets in one Eclipse project and use the union of all includes and defines for all targets in this subdirectory targets. To stay with svx example above, the solution would be to create single project svx and include all sources in this directory tree and use combined includes and all defines from all targets (dvx, svxcore, ...).
Comment 2 Massimiliano 2014-11-28 17:15:00 UTC
Hi, i will try to fix this bug for my first easyhack, is already open?

> It seems that Eclipse has restriction of having multiple projects in the
> same directory as Eclipse's project is represented by .project file and only
> one .project file can exists in one directory. Due to LibreOffice directory
> structure, there are multiple targets/projects in one directory, e. g.:
> 

.project file is an xml that follow this properties [1] But how build-to-ide works? where can i find its source code?


[1] http://help.eclipse.org/luna/index.jsp?topic=%2Forg.eclipse.platform.doc.isv%2Freference%2Fmisc%2Fproject_description_file.html
Comment 3 Commit Notification 2015-03-25 06:49:58 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e03654bbd6d672d5eacc0a915c4970c3fc4d818a

fdo#84628 Created .project file generator.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Yurii Kolesnykov 2015-05-04 01:02:54 UTC
Please add corresponding command to Makefile. 
I tried to run "make -npf Makefile.gbuild all | bin/gbuild-to-ide --ide eclipsecdt", but this command produces no files.
Comment 5 Gülşah Köse 2015-10-27 16:21:52 UTC
Hi all, I'm back for this issue. Now I'm working about it.
Comment 6 Gülşah Köse 2015-11-27 19:35:36 UTC
I've sent a patch. https://gerrit.libreoffice.org/#/c/20239/
Comment 7 Commit Notification 2015-11-27 21:09:01 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc7a490af90d2ec2e68a6385d6daf9720e9b6dd6

tdf#84628 Generated eclipse setting file for per module.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-14 06:48:36 UTC Comment hidden (obsolete)
Comment 9 Commit Notification 2015-12-30 22:09:39 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe37d93a110cb9941c61fed0c71369a21a7d2765

tdf#84628 Added per module's macro definitions to eclipsesettingfile.xml

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2016-02-18 14:52:00 UTC Comment hidden (obsolete)
Comment 11 jani 2016-05-05 13:29:42 UTC
seems solved